# Record TCefTaskInfo

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefTaskInfo = record`

## Description

Structure representing task information provided by ICefTaskManager.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/internal/cef_types.h">CEF source file: /include/internal/cef_types.h (cef_task_info_t))

## Overview

### Fields

| `size: NativeUInt;`
| `id: int64;`
| `type_: TCefTaskType;`
| `is_killable: integer;`
| `title: TCefString;`
| `cpu_usage: double;`
| `number_of_processors: integer;`
| `memory: int64;`
| `gpu_memory: int64;`
| `is_gpu_memory_inflated: integer;`

## Description

### Fields

| `size: NativeUInt;`
Size of this structure.

| `id: int64;`
The task ID.

| `type_: TCefTaskType;`
The task type.

| `is_killable: integer;`
Set to true (1) if the task is killable.

| `title: TCefString;`
The task title.

| `cpu_usage: double;`
The CPU usage of the process on which the task is running. The value is in the range zero to number_of_processors * 100%.

| `number_of_processors: integer;`
The number of processors available on the system.

| `memory: int64;`
The memory footprint of the task in bytes. A value of -1 means no valid value is currently available.

| `gpu_memory: int64;`
The GPU memory usage of the task in bytes. A value of -1 means no valid value is currently available.

| `is_gpu_memory_inflated: integer;`
Set to true (1) if this task process' GPU resource count is inflated because it is counting other processes' resources (e.g, the GPU process has this value set to true because it is the aggregate of all processes).

Generated by PasDoc 0.17.0.snapshot.